Erreur : "No transport found, or selected transport is not yet supported" | Yousign - Base de connaissance

Erreur : "No transport found, or selected transport is not yet supported"

Vous commencez l'intégration de notre API Yousign et vous rencontrez l'erreur suivante :

"string(63) "no transport found, or selected transport is not yet supported!"

Pour corriger rapidement cette erreur, la première question à se poser est la suivante : Utilisez-vous le client PHP mis à disposition sur Github ?
Rappel du lien : https://github.com/Yousign/yousign-api-client-php  

Si oui, le problème vient généralement du fichier ysApiParameters.ini.dist qui n'a pas été renommé en ysApiParameters.ini. L'extension ".dist" doit en effet être supprimée.


Si le problème persiste, utilisez-vous la bonne version de
 nusoap (nusoap-0.9.5) ?

Si non, il est fortement conseillé de basculer sur cette version testée par notre équipe technique (téléchargement : http://downloads.sourceforge.net/project/nusoap/nusoap/0.9.5/nusoap-0.9.5.zip).

Enfin, vous pouvez également vérifier la version de PHP que vous utilisez.
En effet, le support des namespaces est pris en compte à partir de la version PHP 5.3.0 minimum.

Vous devez donc au moins être sur cette version (voire plus récente).

Si le problème persiste, n'hésitez pas à contacter notre équipe support par e-mail à l'adresse support@yousign.fr.